game_level_hints.levels["Level03_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level03_scene03_01 = -- комната в участке
			{
				on_scene("level03_miniscene_basement", end_level("hatch01")),
				on_scene("level03_miniscene_callboard", end_level("back_close_callboard")),
				on_scene("level03_miniscene_clock01", end_level("back_close_clock01")),
				on_scene("level03_miniscene_box01", end_level("back_close_box01")),
				on_scene("level03_miniscene_box02", end_level("back_close_box02")),
				on_scene("level03_miniscene_box03", end_level("back_close_box05")),
				on_scene("level03_miniscene_box04", end_level("back_close_box08")),
				on_scene("level03_miniscene_box05", end_level("back_close_box03")),
				on_scene("level03_miniscene_box06", end_level("back_close_box06")),
				on_scene("level03_miniscene_box07", end_level("back_close_box07")),
				on_scene("level03_miniscene_box08", end_level("back_close_box04")),
				on_scene("level03_miniscene_box09", end_level("back_close_box09")),
				on_scene("level03_miniscene_box10", end_level("back_close_box10"))
			},
			level03_scene03_02 = -- около участка
			{
				IF(state("Hatch02", "hatch02_02"), on_scene("level03_miniscene_basement", end_level("hatch02"))),
				on_scene("level03_miniscene_hog", end_level("exit_hog")),				
				on_scene("level03_miniscene_log", end_level("back_close_log")),
				on_scene("level03_miniscene_bus", end_level("back_close_bus"))
			},
			level03_miniscene_hog = -- в автобусе
			{
				IF(state("Door_bus", "door_bus02"), on_scene("level03_miniscene_bus", miniscene("Door_bus")))
			},
			level03_miniscene_callboard = -- доска объявлений
			{
				on_scene("level03_scene03_01", miniscene("bulletin_board"))
			},
			level03_miniscene_basement = -- в подвале
			{
				IF(state("Hatch01", "hatch01_02"), on_scene("level03_scene03_01", end_level("Hatch01"))),
				on_scene("level03_scene03_02", end_level("area_basement"))
			},
			level03_miniscene_hatch02 = -- люк с человечками
			{
				IF({ state("Hatch02", "hatch02_01"), state("Flag_hatch02", "flag_hatch02_01") }, on_scene("level03_miniscene_basement", miniscene("Hatch02")))				
			},
			level03_miniscene_clock01 = -- электронные часы
			{
				IF(state("Indicator_clock01", "indicator_clock01_01"), on_scene("level03_scene03_01", miniscene("Clock01")))
			},
			-- дальше пошли ящики картотеки
			level03_miniscene_box01 = -- пропавшие без вести
			{
				IF(state("Card_index_box01", "card_index_box01_02"), on_scene("level03_scene03_01", miniscene("Card_index_box01")))
			},
			level03_miniscene_box02 = -- разыскиваемые
			{
				IF(state("Card_index_box02", "card_index_box02_02"), on_scene("level03_scene03_01", miniscene("Card_index_box02")))
			},
			level03_miniscene_box03 = -- инновационные разработки
			{
				IF(state("Card_index_box03", "card_index_box03_02"), on_scene("level03_scene03_01", miniscene("Card_index_box03")))
			},
			level03_miniscene_box04 = -- учебная литература
			{
				IF(state("Card_index_box04", "card_index_box04_02"), on_scene("level03_scene03_01", miniscene("Card_index_box04")))
			},
			level03_miniscene_box05 = -- ХХХ - документы
			{
				IF(state("Card_index_box05", "card_index_box05_02"), on_scene("level03_scene03_01", miniscene("Card_index_box05")))
			},
			level03_miniscene_box06 = -- подозреваемые
			{
				IF(state("Card_index_box06", "card_index_box06_02"), on_scene("level03_scene03_01", miniscene("Card_index_box06")))
			},
			level03_miniscene_box07 = -- канцелярия
			{
				IF(state("Card_index_box07", "card_index_box07_02"), on_scene("level03_scene03_01", miniscene("Card_index_box07")))
			},
			level03_miniscene_box08 = -- улики
			{
				IF(state("Card_index_box08", "card_index_box08_02"), on_scene("level03_scene03_01", miniscene("Card_index_box08")))
			},
			level03_miniscene_box09 = -- стратегический запас
			{
				IF(state("Card_index_box09", "card_index_box09_02"), on_scene("level03_scene03_01", miniscene("Card_index_box09")))
			},
			level03_miniscene_box10 = -- картотека
			{
				IF(state("Card_index_box10", "card_index_box10_02"), on_scene("level03_scene03_01", miniscene("Card_index_box10")))
			},
			level03_miniscene_log = -- бревно
			{
				on_scene("level03_scene03_02", miniscene("log01"))
			},
			level03_miniscene_bus = -- около автобуса
			{
				on_scene("level03_scene03_02", miniscene("area_bus"))
			}
		}),
		
		-- хинты событий
		on_scene("level03_miniscene_callboard", IF({ state("Hatch01", "hatch01_01"), state("Indicator_clock01", "indicator_clock01_01") }, click("notice02"))), -- сняли с доски объявлений листок, чтобы прочитать записку
		on_scene("level03_miniscene_clock01", IF({ state("Hatch01", "hatch01_01"), state("Indicator_clock01", "indicator_clock01_01") }, click("clock01_mini"))), -- выставляем вемя на электронных часах
		on_scene("level03_scene03_01", IF({ state("Hatch01", "hatch01_01"), state("Indicator01", "indicator01_02") }, click("Card_index_box05"))), -- открыли ящик 05
		on_scene("level03_miniscene_box05", IF({ state("Passport01", "passport01_01"), state("Flag_passport", "flag_passport01") }, click("Passport01"))), -- открыли паспорт
		on_scene("level03_scene03_01",
		{
			IF({ state("Hatch01", "hatch01_01"), state("Carpet01", "carpet01_01") }, click("area_carpet_angle")), -- отогнули угол ковра
			IF({ state("Hatch01", "hatch01_01"), state("Carpet01", "carpet01_02") }, click("Hatch01")) -- запустили мини-игру с кнопками на люке
		}),
		on_scene("level03_miniscene_basement", IF({ state("Hatch02", "hatch02_01"), state("Flag_hatch02", "flag_hatch02_01") }, miniscene("Hatch02"))), -- посмотрели люк в подвале
		on_scene("level03_scene03_01", IF(state("Card_index_box09", "card_index_box09_01"), click("Card_index_box09"))), -- открыли ящик 09
		on_scene("level03_miniscene_box09", take("Camera01")), -- берём фотоаппарат
		on_scene("level03_scene03_01",
		{
			IF({ state("Airplane01", "airplane01_01"), in_inv("Camera01"), NOT(in_inv("foto01")), NOT(in_inv("foto03")), state("Hatch02", "hatch02_01") }, click("open_plane")), -- делаем фотографии
			IF({ NOT(state("Airplane01", "airplane01_01")), in_inv("foto03") }, click("_area_close_plane")) -- клик на темноту, чтобы самолёт принял положение 01
		}),
		on_scene("level03_miniscene_basement", IF({ state("Hatch02", "hatch02_01"), state("Flag_hatch02", "flag_hatch02_02"), in_inv("foto03") }, minigame("Hatch02"))), -- прошли игру с люком в подвале
		on_scene("level03_miniscene_basement", IF({ state("Hatch02", "hatch02_02"), state("Flag_scene0302", "flag_scene0302_01") }, end_level("hatch02"))), -- вылезли из подвала
		on_scene("level03_scene03_01",
		{
			IF({ state("Lace01", "lace01_01"), state("Flag_monkey", "flag_monkey01") }, click("Lace01")), -- дёрнули за верёвку от жалюзи
			take("Bar07_take"), -- берём брусок со стула
			IF({ state("Bedside_table_door01", "bedside_table_door01_01"), on_level("Bar04_take") }, click("Bedside_table_door01")), -- открыли левую дверцу тумбочки
			take("Bar04_take") -- берём брусок из тумбочки
		}),
		on_scene("level03_miniscene_basement",
		{
			take("Bar05_take"), -- берём 2 бруска в подвала
			take("Bar06_take")
		}),
		on_scene("level03_scene03_02",
		{
			take("Bar02_take"), -- берём 2 бруска на улице
			take("Bar03_take")
		}),
		on_scene("level03_miniscene_log",
		{
			take("Bar01_take") -- берём брусок на мини-сцене в стволе
		}),
		on_scene("level03_scene03_01",
		{
			IF(state("Card_index_box03", "card_index_box03_01"), minigame("Card_index_box03")) -- прошли мини-изгру с вводом пароля на ящике 03
		}),
		on_scene("level03_miniscene_box03",
		{
			IF({ state("Box_up01", "box_up01_01"), on_level("Glasses01") }, click("Box_up01")), -- открыли коробочку с очками в ящике 03
			take("Glasses01") -- берём очки
		}),
		on_scene("level03_scene03_01",
		{
			take("Nail_glow01"), -- берём гвозди
			IF({ NOT(hidden("glasses02")), on_level("Nail_glow01")}, click("glasses02")) -- если не берём гвозди, то снова одеваем очки
		}),
		on_scene("level03_miniscene_basement",
		{
			take("Hammer01") -- берём молоток в подвале
		}),
		on_scene("level03_scene03_02",
		{
			IF(state("Flag_nail", "flag_nail03"), click("open_tree", "Bar_inv")),
			IF({ NOT(hidden("Bar01")), state("Bar01","bar01_01") }, click("Bar01", "Hammer01")), -- прибиваем бруски
			IF({ NOT(hidden("Bar02")), state("Bar02","bar02_01") }, click("Bar02", "Hammer01")),
			IF({ NOT(hidden("Bar03")), state("Bar03","bar03_01") }, click("Bar03", "Hammer01")),
			IF({ NOT(hidden("Bar04")), state("Bar04","bar04_01") }, click("Bar04", "Hammer01")),
			IF({ NOT(hidden("Bar05")), state("Bar05","bar05_01") }, click("Bar05", "Hammer01")),
			IF({ NOT(hidden("Bar06")), state("Bar06","bar06_01") }, click("Bar06", "Hammer01")),
			IF({ NOT(hidden("Bar07")), state("Bar07","bar07_01") }, click("Bar07", "Hammer01")),
			IF({ NOT(hidden("Bar07")), state("Bar07","bar07_02") }, take("Banana01", "bananas01")) -- берём банан
		}),
		on_scene("level03_scene03_01",
		{
			IF({in_inv("Banana01"), state("Box01", "box01_01")}, click("Box01")), -- открыли ящик около обезьяны
			IF({in_inv("Banana01"), state("Box01", "box01_02")}, click("Box01", "Banana01")), -- положили туда банан
			IF({in_inv("Banana01"), state("Monkey01", "monkey01_01")}, click("Monkey01", "Banana01")), -- либо можем отдать банан обезьяне
			IF(NOT(hidden("banana02")), click("Box01")), -- задвинули ящик
			take("Key01"), -- берём ключ
			IF({state("Monkey01", "monkey01_02"), state("Box01", "box01_01"), on_level("Key01") }, click("Box01")), -- открыли ящик около обезьяны
			click("Card_index_box08", "Key01") -- применяем ключ на ящик 08			
		}),
		on_scene("level03_miniscene_box08",
		{
			IF({ state("Picklock01", "picklock01_01"), on_level("picklock02") }, click("Picklock01")), -- открываем набор отмычек
			IF(state("Picklock01", "picklock01_02"), take("picklock02", "Picklock01")) -- берём отмычки
		}),
		on_scene("level03_miniscene_bus",
		{
			IF(state("Door_bus", "door_bus01"), click("Door_bus", "picklock02")) -- открываем дверь автобуса
		}),
		on_scene("level03_miniscene_hog",
		{
			take("Spanner01") -- берём гаечный ключ
		}),
		on_scene("level03_scene03_02",
		{
			click("Hrjundel02", "Spanner01") -- отдаём Хрюнделю гаечный ключ
		}),
		on_scene("level03_miniscene_box08",
		{
			take("Screwdriver01")
		}),
		on_scene("level03_scene03_02",
		{
			click("Hrjundel02", "Screwdriver01") -- отдаём Хрюнделю отвёртку
		})
	}
end 